"""
@author: luojunhui
"""
from .article_account import ArticleRank
from .article_tools import title_sim_v2_by_list
from .server_article_account import get_article_title_url_list, get_article_titles


def decode_show_k(show_k):
    this_dict = {
        '阅读': 'show_view_count',  # 文章
        '看过': 'show_view_count',  # 图文
        '观看': 'show_view_count',  # 视频
        '赞': 'show_like_count',
        '付费': 'show_pay_count',
        '赞赏': 'show_zs_count',
    }
    if show_k not in this_dict:
        print(f'error from decode_show_k, show_k not found: {show_k}')
    return this_dict.get(show_k, 'show_unknown')


def decode_show_v(show_v):
    foo = show_v.replace('千', 'e3').replace('万', 'e4').replace('亿', 'e8')
    foo = eval(foo)
    return int(foo)


def show_desc_to_sta(show_desc):
    show_desc = show_desc.replace('+', '')
    sta = {}
    for show_kv in show_desc.split('\u2004\u2005'):
        if not show_kv:
            continue
        show_k, show_v = show_kv.split('\u2006')
        k = decode_show_k(show_k)
        v = decode_show_v(show_v)
        sta[k] = v
    res = {
        'show_view_count': sta.get('show_view_count', 0),
        'show_like_count': sta.get('show_like_count', 0),
        'show_pay_count': sta.get('show_pay_count', 0),
        'show_zs_count': sta.get('show_zs_count', 0),
    }
    return res